XSLTProcessor::removeParameter
XSLTProcessor::setProfiling
XSLTProcessor
PHP Manual

# XSLTProcessor::setParameter

(PHP 5)

XSLTProcessor::setParameter — Setzt den Wert für einen Parameter

### Beschreibung

bool XSLTProcessor::setParameter ( string `$namespace` , string `$name` , string `$value` )
bool XSLTProcessor::setParameter ( string `$namespace` , array `$options` )

Setzt den Wert von einem oder mehreren Parametern zur Verwendung bei Transformationen mittels XSLTProcessor. Falls ein Parameter im Stylesheet nicht existiert wird der angegebene Wert ignoriert.

### Parameter-Liste

`namespace`

  Die Namespace-URI des XSLT-Parameters.

`name`

  Der lokale Name des Parameters.

`value`

  Der neue Wert für den XSLT-Parameter.

`options`

  Ein assoziatives Array mit name => wert-Paaren. Diese Schreibweise wird seit PHP 5.1.0 unterstützt.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück. Im Fehlerfall wird `FALSE` zurückgegeben.

### Beispiele

Beispiel #1 Ändern des Parameters "owner" vor der Transformation

`<?php
$collections = array(
'Marc Rutkowski' => 'marc',
'Olivier Parmentier' => 'olivier'
);
$xsl = new DOMDocument;
$xsl->load('collection.xsl');
// Prozessor konfigurieren
$proc = new XSLTProcessor;
$proc->importStyleSheet($xsl); // Stylesheet anhängen
foreach ($collections as $name => $file) {
// Load the XML source
$xml = new DOMDocument;
$xml->load('collection_' . $file . '.xml');
$proc->setParameter('', 'owner', $name);
$proc->transformToURI($xml, 'file:///tmp/' . $file . '.html');
}
?>`

### Siehe auch

- XSLTProcessor::getParameter() - Liefert den Wert eines Parameters
- XSLTProcessor::removeParameter() - Löscht einen Parameter

XSLTProcessor::removeParameter
XSLTProcessor::setProfiling
XSLTProcessor
PHP Manual